Skip to main content
GET
/
video_settings_templates
List video settings templates
curl --request GET \
  --url https://api.beyondwords.io/v1/video_settings_templates \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 1,
    "name": "Test template 1",
    "slug": "test_template_1",
    "logo_image_url": "https://example.com/logo.png",
    "logo_image_position": "top-right",
    "background_color": "white",
    "text_transform": "none",
    "text_background_color": "rgba(255, 255, 255, 0.88)",
    "text_background_radius": 8,
    "text_color": "black",
    "text_secondary_color": null,
    "text_highlight_color": "#0cf",
    "text_highlight_secondary_color": null,
    "text_highlight_background_color": "linear-gradient(to right, pink, purple)",
    "text_highlight_secondary_background_color": null,
    "text_highlight_background_radius": 8,
    "text_shadow": "3px 3px 3px linear-gradient(to right, red, blue)",
    "text_highlight_shadow": null,
    "text_stroke": "0px transparent outside",
    "text_highlight_stroke": null,
    "text_fonts": [
      "https://example.com/my-custom-font.ttf",
      "Inter-Medium.ttf",
      "fallbacks"
    ],
    "text_font_size": "64,",
    "text_width": 0.8,
    "text_lines": null,
    "text_words": null,
    "text_horizontal_align": "start",
    "text_vertical_align": "end",
    "text_horizontal_offset": 0,
    "text_vertical_offset": 0,
    "text_animation": "karaoke",
    "entrance_animation": "fade",
    "exit_animation": "fade",
    "waveform_color": "linear-gradient(to right, red, blue)",
    "content_image_enabled": true,
    "image_extraction_enabled": true,
    "pan_and_zoom_enabled": true,
    "audio_and_waveform_enabled": true,
    "text_captions_enabled": true,
    "playback_mode": "cycle",
    "cycle_time": 15000,
    "created": "2023-01-01 00:00:00 UTC",
    "updated": "2023-01-01 00:00:05 UTC"
  },
  {
    "id": 2,
    "name": "Test template 2",
    "slug": "test_template_2",
    "logo_image_url": "https://example.com/logo.png",
    "logo_image_position": "top-right",
    "background_color": "white",
    "text_transform": "none",
    "text_background_color": "rgba(255, 255, 255, 0.88)",
    "text_background_radius": 8,
    "text_color": "black",
    "text_secondary_color": null,
    "text_highlight_color": "#0cf",
    "text_highlight_secondary_color": null,
    "text_highlight_background_color": "linear-gradient(to right, pink, purple)",
    "text_highlight_secondary_background_color": null,
    "text_highlight_background_radius": 8,
    "text_shadow": "3px 3px 3px linear-gradient(to right, red, blue)",
    "text_highlight_shadow": null,
    "text_stroke": "0px transparent outside",
    "text_highlight_stroke": null,
    "text_fonts": [
      "https://example.com/my-custom-font.ttf",
      "Inter-Medium.ttf",
      "fallbacks"
    ],
    "text_font_size": "64,",
    "text_width": 0.8,
    "text_lines": null,
    "text_words": null,
    "text_horizontal_align": "start",
    "text_vertical_align": "end",
    "text_horizontal_offset": 0,
    "text_vertical_offset": 0,
    "text_animation": "karaoke",
    "entrance_animation": "fade",
    "exit_animation": "fade",
    "waveform_color": "linear-gradient(to right, red, blue)",
    "content_image_enabled": true,
    "image_extraction_enabled": true,
    "pan_and_zoom_enabled": true,
    "audio_and_waveform_enabled": true,
    "text_captions_enabled": true,
    "playback_mode": "cycle",
    "cycle_time": 15000,
    "created": "2023-02-01 00:00:00 UTC",
    "updated": "2023-02-01 00:00:05 UTC"
  }
]

Authorizations

X-Api-Key
string
header
required

Query Parameters

pagination[limit]
integer

'limit' sets the number of results to return in each page.

pagination[offset]
integer

'offset' sets the first position to return from the results of the query. The default is 0, which starts the page at the first result.

Response

OK

id
integer
slug
string

Unique identifier for the object

name
string
logo_image_url
string<uri> | null

The logo that should appear in the corner of the video. Defaults to the BeyondWords logo.

Maximum string length: 2048
logo_image_position
enum<string>

The position of the logo that appears in the corner of the video.

Available options:
top-left,
top-right
background_color
string

The background color of the video when there is no image. Supports CSS colors including linear-gradient(to right, ...)

text_transform
enum<string>

Text transformation to apply to captions

Available options:
none,
uppercase,
lowercase,
titlecase
text_background_color
string

The background color to show behind text. Supports CSS colors including linear-gradient(to right, ...)

text_background_radius
number

Border radius of the text background

Required range: 0 <= x <= 100
text_color
string

The foreground color of text. Supports CSS colors including linear-gradient(to right, ...)

text_secondary_color
string | null

Color of the text captions to show on every other scene (CSS color format)

text_highlight_color
string | null

The foreground color of text whilst the word is being read out. Supports CSS colors including linear-gradient(to right, ...)

text_highlight_secondary_color
string | null

Color of highlighted text to show on every other scene. Supports CSS colors including linear-gradient(to right, ...)

Maximum string length: 100
text_highlight_background_color
string

Color of the background behind the highlighted text (CSS color format, supports linear-gradient(to right, ...))

Maximum string length: 100
text_highlight_secondary_background_color
string | null

Color of the background behind the highlighted text to show on every other scene (CSS color format, supports linear-gradient(to right, ...))

Maximum string length: 100
text_highlight_background_radius
number

Border radius of the highlight text background

Required range: 0 <= x <= 100
text_shadow
string

Text shadow of non-highlighted words (CSS format, supports linear-gradient(to right, ...))

Maximum string length: 200
text_highlight_shadow
string | null

Text shadow of highlighted words (CSS format, supports linear-gradient(to right, ...))

Maximum string length: 200
text_stroke
string

Text outline of non-highlighted words (CSS format, supports linear-gradient(to right, ...) and inside/center/outside)

Maximum string length: 200
text_highlight_stroke
string | null

Text outline of highlighted words (CSS format, supports linear-gradient(to right, ...) and inside/center/outside)

Maximum string length: 200
text_fonts
string[]

A list of fonts to use. Fonts will be prioritized automatically based on glyph coverage for the text. The default fonts are built-in, but you can include remote URLs to custom fonts in .ttf or .otf format.

text_font_size
integer

Font size for text captions (30-90).

Required range: 30 <= x <= 90
text_width
number

Maximum width of text as a ratio of the frame width.

Required range: 0 <= x <= 1
text_lines
integer | null

The maximum number of lines of text to show at once. Must be between 1 and 5. If not specified, text_lines will default to landscape=4, square=5, portrait=5.

Required range: 1 <= x <= 5
text_words
integer | null

Maximum number of words to show per line

Required range: x >= 1
text_horizontal_align
enum<string>

The horizontal alignment of text lines, either 'start', 'center', or 'end'. A value of 'start' aligns the text to the left for left-to-right languages, right otherwise. A value of 'end' aligns the text to the right for left-to-right languages, left otherwise.

Available options:
start,
center,
end
text_vertical_align
enum<string>

The vertical alignment of text lines, either 'start' (top), 'center', or 'end' (bottom).

Available options:
start,
center,
end
text_horizontal_offset
number

The horizontal offset of text relative to the frame width, between -1.0 and 1.0

text_vertical_offset
number

The vertical offset of text relative to the frame height, between -1.0 and 1.0

text_animation
enum<string>

The text animation to show

Available options:
classic,
reveal,
karaoke,
pop
entrance_animation
enum<string>

The entrance animation for image and video segments

Available options:
none,
fade,
zoom-in,
zoom-out,
slide-up,
slide-down,
slide-left,
slide-right,
pop
exit_animation
enum<string>

The exit animation for image and video segments

Available options:
none,
fade,
zoom-in,
zoom-out,
slide-up,
slide-down,
slide-left,
slide-right,
pop
waveform_color
string

The color of the audio waveform bars. Supports CSS colors including linear-gradient(to right, ...)

content_image_enabled
boolean

When true, uses the content's featured image as video background

image_extraction_enabled
boolean

When true, automatically extracts images from HTML content. Alternatively, set the data-beyondwords-image='true' attribute.

pan_and_zoom_enabled
boolean

When true, applies pan and zoom effects to background images

audio_and_waveform_enabled
boolean

When true, video includes audio and animated waveform visualization

text_captions_enabled
boolean

When true, displays text captions overlaid on the video

playback_mode
enum<string>

The playback mode for images in the video. There are three available options. A value of 'cycle' will cycle through images, potentially repeating them according to cycle_time. A value of 'space-evenly' will space images evenly throughout the video without repeating them. A value of 'follow-article' will show images at the point when they appear in the article. Note that 'follow-article' is not applicable for summaries which have different text.

Available options:
cycle,
space-evenly,
follow-article
cycle_time
integer

The time in milliseconds to show each image when playback_mode is set to 'cycle'.

Required range: 1000 <= x <= 60000
preview_url
string | null
template
array